//AUTOR: FRANK D.
//DATE:  05.09.2018

#include <ESPDMX.h>
#include <ESP8266WiFi.h>
#include <ArduinoOTA.h>

const char *ssid = "LED_Network";
const char *password = "helloworld";

WiFiServer server(80);
IPAddress ap_ip (192, 168, 1, 1);
WiFiClient cli;



void setup() {
  ArduinoOTA.begin();
  WiFi.mode(WIFI_AP);
  WiFi.softAPConfig(ap_ip, ap_ip, IPAddress(255, 255, 255, 0));
  WiFi.softAP(ssid, password);
  pinMode(LED_BUILTIN, OUTPUT);
  digitalWrite(LED_BUILTIN, HIGH);

  server.begin();

}

void loop() {
  ArduinoOTA.handle(); //dient nur zum programmieren über WLAN
  cli = server.available(); //schaut ob Clients sich verbunden haben (nehme ich an)
  if(cli){ //wenn ja
    digitalWrite(LED_BUILTIN, LOW);
  }
  else{
    digitalWrite(LED_BUILTIN, HIGH);
  }
  server.write('a');
}
